openapi: '3.0.2'
info:
  title: Artikel API
  version: '1.0'
servers:
  - url: https://api.predic8.de/v1
paths:
  /artikel:
    post:
      operationId: createArticle
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Artikel"
      responses:
        '201':
          description: Created
          content:  
            application/json:
              schema:
                $ref: "#/components/schemas/Artikel"

components:
  schemas:
    Artikel:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 20
          pattern: '\w+'